package jp.agentec.abook.abv.ui.common.view;

import jp.agentec.abook.abv.bl.common.log.Logger;
import android.content.Context;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;

public class NoTouchableView extends View {
	private static final String TAG = "NoTouchableView";

	public NoTouchableView(Context context) {
		super(context);
	}
	public NoTouchableView(Context context, AttributeSet attrs) {
		super(context, attrs);
	}
	public NoTouchableView(Context context, AttributeSet attrs, int defStyle) {
		super(context, attrs, defStyle);
	}
	
	@Override
	public boolean dispatchTouchEvent(MotionEvent event) {
		Logger.d(TAG, "NoTouchableView.dispatchTouchEvent");
		return true;
	}
	
	@Override
	public boolean onTouchEvent(MotionEvent event) {
		Logger.d(TAG, "NoTouchableView.onTouchEvent");
		return true;
	}

}
